## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# scfImplementation1< Class, I1 > Class Template Reference

Inheritance diagram for scfImplementation1< Class, I1 >:

[legend]
List of all members.

## Public Member Functions

void * | QueryInterface (scfInterfaceID id, scfInterfaceVersion version)
| Query a particular interface implemented by this object.

## Protected Types

typedef scfImplementation1< Class,I1 > | scfImplementationType

## Protected Member Functions

| scfImplementation1 (Class *object, iBase *parent=0)
virtual | ~scfImplementation1 ()

## Detailed Description

### template<class Class, class I1>
class scfImplementation1< Class, I1 >

Definition at line 89 of file scf_implgen.h.

## Member Function Documentation

template<class Class, class I1>
void* scfImplementation1< Class, I1 >::QueryInterface | ( | scfInterfaceID | id,
|  | scfInterfaceVersion | version
| ) | `[inline, virtual]`

Query a particular interface implemented by this object.

You are _not_ allowed to cast this to anything but a pointer to this interface (not even iBase). Use scfQueryInterface<interface> instead of using this method directly.

Reimplemented from scfImplementation< Class >.

Reimplemented in scfImplementationExt0< csDocumentNodeReadOnly, csDocumentNodeCommon >, scfImplementationExt0< csImageMemory, csImageBase >, scfImplementationExt0< csScreenShot, csImageBase >, scfImplementationExt0< csImageCubeMapMaker, csImageBase >, scfImplementationExt0< csNewtonianParticleSystem, csParticleSystem >, scfImplementationExt0< csParasiticDataBuffer, csParasiticDataBufferBase >, scfImplementationExt0< csImageVolumeMaker, csImageBase >, scfImplementationExt0< csCommonImageFile, csImageMemory >, scfImplementationExt1< csMapNode, csObject, iMapNode >, scfImplementationExt1< csColliderWrapper, csObject, scfFakeInterface< csColliderWrapper > >, scfImplementationExt1< csSoundWrapper, csObject, iSoundWrapper >, scfImplementationExt1< csMeshObject, csObjectModel, iMeshObject >, scfImplementationExt1< csKeyValuePair, csObject, iKeyValuePair >, scfImplementationExt1< csNewParticleSystem, csMeshObject, iParticleState >, scfImplementationExt2< csParticleSystem, csObjectModel, iMeshObject, iParticleState >, and scfImplementationExt2< csProcTexture, csObject, iTextureWrapper, iProcTexture >.

Definition at line 94 of file scf_implgen.h.

The documentation for this class was generated from the following file:

- csutil/scf_implgen.h